﻿
Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub btnConsulta_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnConsulta.Click
        exibeDados()
        Label1.Text = ""
    End Sub

    Protected Sub btnIncluir_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnIncluir.Click
        Dim db As New NorthwindDataContext
        Dim p As New Product With {.ProductName = "Bacalhau do Porto", .UnitPrice = 3.99, .CategoryID = 8}
        db.Products.InsertOnSubmit(p)
        db.SubmitChanges()
        exibedados()
    End Sub

    Protected Sub btnAtualizar_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnAtualizar.Click
        Dim db As New NorthwindDataContext
        Try
            Dim p1 = (From p In db.Products _
                     Where p.ProductName.Contains("Bacalhau do Porto") _
                     Select p).Single
            p1.UnitPrice = p1.UnitPrice * 2
            db.SubmitChanges()
        Catch ex As Exception
            Label1.Text = "Erro ao atualizar dados"
        End Try
        exibedados()
    End Sub

    Protected Sub btnExcluir_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnExcluir.Click
        Dim db As New NorthwindDataContext
        'Dim produto As String = GridView1.SelectedRow.Cells(2).Text

        Dim p1 = db.Products.First(Function(p) p.ProductName = "Bacalhau do Porto")

        db.Products.DeleteOnSubmit(p1)
        db.SubmitChanges()
        exibedados()
    End Sub
    Private Sub exibedados()
        Dim db As New NorthwindDataContext

        Dim produtos = From p In db.Products _
                       Where p.Category.CategoryName = "SeaFood" _
                       Order By p.ProductID _
                       Select p.ProductID, p.ProductName, p.Category.CategoryName, p.UnitPrice

        GridView1.DataSource = produtos
        GridView1.DataBind()
    End Sub
End Class
